Skip to content
Closed
Show file tree
Hide file tree
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension

Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
5 changes: 5 additions & 0 deletions CHANGELOG.md
Original file line number Diff line number Diff line change
Expand Up @@ -5,6 +5,11 @@ All notable changes to the Smile Identity API specifications will be documented
The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/).

## [Unreleased]
## [v3.618.0] - 2026-05-29
Comment on lines 7 to +8

### Changed
- Updated `v3-biometric-authentication-entry`

## [v3.553.0] - 2026-05-08

### Changed
Expand Down
2 changes: 1 addition & 1 deletion README.md
Original file line number Diff line number Diff line change
Expand Up @@ -7,7 +7,7 @@ OpenAPI 3.0 specifications for the Smile Identity v3 API.
<!-- SPEC_TABLE_START -->
| Spec | Endpoint | Description |
|------|----------|-------------|
| [Biometric Authentication](specs/v3/v3-biometric-authentication-entry.yaml) | `POST /v3/authenticate` | Submit biometric authentication |
| [Biometric Authentication](specs/v3/v3-biometric-authentication-entry.yaml) | `POST /v3/authentication` | Submit biometric authentication |
| [Biometric Enrollment](specs/v3/v3-biometric-enrollment-entry.yaml) | `POST /v3/registration` | Submit biometric enrollment |
| [Biometric KYC](specs/v3/v3-biometric-kyc-entry.yaml) | `POST /v3/biometric_kyc` | Submit Biometric KYC verification |
| [Block User](specs/v3/v3-block-user.yaml) | `POST /v3/users/{user_id}` | Block or unblock an enrolled user |
Expand Down
2 changes: 1 addition & 1 deletion specs/v3/v3-biometric-authentication-entry.yaml
Original file line number Diff line number Diff line change
@@ -1,4 +1,4 @@
openapi: 3.0.0

Check warning on line 1 in specs/v3/v3-biometric-authentication-entry.yaml

View workflow job for this annotation

GitHub Actions / validate

oas3-api-servers
info:

Check warning on line 2 in specs/v3/v3-biometric-authentication-entry.yaml

View workflow job for this annotation

GitHub Actions / validate

info-contact Info object must have "contact" object.
title: V3 Biometric Authentication API
version: '1.0.0'
Expand All @@ -13,8 +13,8 @@
At least one of `email` or `phone_number` is required. The `user_id` field is required
and must match an existing enrolled user.
paths:
/v3/authenticate:
/v3/authentication:
post:

Check warning on line 17 in specs/v3/v3-biometric-authentication-entry.yaml

View workflow job for this annotation

GitHub Actions / validate

operation-tags Operation must have non-empty "tags" array.
summary: Submit biometric authentication
operationId: v3BiometricAuthentication
description: >-
Expand Down
Loading